Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1572973

There are several gaps with the 'deploy on' option on hostgroup:

the ip address is not suggested automatically on on hostform

the compute attributes are not set in the network tab

not found error on Virtual Machine tab when the compute profile is not selected on hostgroup

Related issues:

Related to Foreman - Feature #5790: Default "Deploy on" value for host groups. Closed

Associated revisions

Revision 641ef42a - 07/03/2018 06:14 AM - Ivan Necas

Refs #24072 - fix selecting hostgroup with compute resource

Without this fix, the 'Virtual Machine' tab was giving:

'mybox' not found on 'libvirt (Libvirt)' 'mybox' could

   be deleted or 'libvirt (Libvirt)' is not responding.

Revision cbe40e3d - 07/03/2018 06:14 AM - Ivan Necas

Refs #24072 - fix compute profile with CR set via HG

When compute resource is set via compute profile, we're not sending it

via the form (as it's disabled). Therefore, we need to search for in via

hostgroup.

Revision dc313926 - 07/03/2018 06:14 AM - Ivan Necas

Fixes #24072 - freeip with compute resource via hostgroup

In #5790, we added an option to set the compute resource via hostgroup.

There was one thing missed though: the freeip not getting assigned

automagically, when the compute resource was selected this way.

After this change, we make sure to check for the ip addresses (and other

potential subnet related refreshes) after the hostgroup is selected, in

case the interfaces were populated during the hostgroup change.

History

#1 - 06/26/2018 03:36 PM - Ivan Necas

- Related to Feature #5790: Default "Deploy on" value for host groups. added
#2 - 06/26/2018 03:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ivan Necas

- Pull request https://github.com/theforeman/foreman/pull/5745 added

#3 - 06/29/2018 02:18 PM - Ivan Necas

- Subject changed from Free IPv4 not assigned automatically while creating host with hostgroup with specified `deploy on` option

 to "Deploy on" hostgroup option doesn't work properly with network insterfaces and compute profiles

- Description updated

#4 - 07/02/2018 07:25 PM - Ivan Necas

- translation missing: en.field_release set to 330

Proposing for 1.18, as without the fixes, the deploy on option on hostgroup is not usable.

#5 - 07/03/2018 06:48 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5763 added

#6 - 07/03/2018 07:01 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset dc313926111ec1b5c103e16a78d4ceda2d0f53a8.

#7 - 07/10/2018 05:44 AM - Ondřej Pražák

- Fixed in Releases 1.18.0 added
